NexusFile 5 (ver 5.4.1.5623) - 2021.04.09

- Change: http://xiles.net => https://xiles.app
- Fixed: Copy Path copies with double backslash

NexusFile 5 (ver 5.4.0.5605) - 2021.02.13

- 64bit version beta
- Fixed: Tab close button layout

NexusFile 5 (ver 5.3.4.5587) - 2020.12.29

- Fixed: All button in Change Attributes dialog didn't work
- Improved: Enable DEP

NexusFile 5 (ver 5.3.3.5532) - 2012.12.08

- Fixed: File time was wrong in archive file
- Fixed: FTP encoding problem fixed
- Fixed: Add to archive caused an error in a single pane mode

NexusFile 5 (ver 5.3.2.5504) - 2012.11.22

- Fixed: after dot(.) in folder name was considered as an extension
- Improved: Archive Library update (ARK 4.1.6.18)
- Fixed: Error occurred when applying find and replace with empty find text in Advanced Rename
- Fixed: Division by zero error when resizing a main window too small
- Fixed: Find Next(F3) didn't work after search function in Folder Tree Window
- Fixed: Edit > Paste as Shortcut didn't work
- Improved: Creatin an archive in a path on the other panel. 
  (Use up/down arrow key in filename input box on Add to Archive dialog)
- Fixed: Items under Control Panel in Folders didn't do anything
- Fixed: The num. of most used folders on Select Distination dialog option didn't apply

NexusFile 5 (ver 5.3.1.5460) - 2011.06.05

- Added: 7z, iso, cab, tar, bz2, z, egg file extraction
  (Using ARK library - http://www.bandisoft.com/ark/)
- Improved: Adding to zip now can contain empty folder.
- Added: File Checksum function (CRC, MD5, SHA1)
- Fixed: Deleting a folder made with mklink deleted all files/folders inside of the original folder.
- Fixed: Size Format option wasn't saved.
- Fixed: Uncheck empty recycle bin on Disk Cleanup Dialog didn't work.
- Fixed: Scroll problem on details, thumbnails view mode
- Fixed: Advanced Rename replace problem ex) Find:0, Replace:1 0000 => 0101
- Fixed: File time was not displayed right in FTP
- Fixed: Error on Select Dest dialog (Division by Zero)
- Added: can disable auto save settings by editing nexusfile.ini autosavesettings value to 0
- Fixed: Text encoding problem when joining text files.


NexusFile 5 (ver 5.2.4.5245) - 2011.01.01

- Fixed: Error occurred or stopped when Folder Tree(F10) scans
- Fixed: Sometimes, error occurred after deleting files/folders
- Fixed: Rarely, folder could be deleted even though some files in it failed to be moved.
- Fixed: Folders whose name contains some characters couldn't be zipped
- Fixed: Sometimes file list was scrolled unintentionally in scroll by line mode
- Fixed: NexusFile was opened in a main monitor after being closed at maximized state in a sub-monitor.
- Fixed: Sort Descend/Ascend option was not saved if it is not set in 'Tools > Options' dialog.
- Fixed: Sometimes folder size was cropped when using 'Calculate folder size(Ctrl+Shift+R)' function.
- Fixed: FTP site 'Remote dir' options was not applied.
- Add: Command line option /userdir:"path" added
            ex) nexusfile.exe /userdir:"c:\userdata2"
            NexusFile will load and save settings from "c:\userdata2"
- Fixed: Search didn't work on Shortcut Keys (F12)
- Some minor errors are fixed

NexusFile 5 (ver 5.2.3.5099) - 2010.10.13

- Fixed: NexusFile didn't start with error(0Xc0150002) on some systems.

NexusFile 5 (ver 5.2.3.5098) - 2010.10.10

- Added: SFTP support
- Added: NexusFile.exe command line parameter /pane:dual|single added
- Added: Send to Recycle Bin without confirmation option added (Edit "delconfirm=1" value in nexusfile.ini   0 or 1 can be set)
- Updated: DelZIP.dll updated to ver 1.9
- Fixed: Extension field was shown even when attach extension option is on
- Fixed: BreadZip preview on context menu didn't work
- Fixed: File list didn't scroll when drag over
- Fixed: Mouse wheel scroll step in Details View was fixed to one line.
- Fixed: Icon background in folders pane
- Fixed: Add to ZIP took too long when adding files/folders are located in root folder
- Fixed: some other minor bugs are fixed

NexusFile 5 (ver 5.2.2.4875) - 2010.8.24

- Fixed: Drive free spaces were not refreshed
- Fixed: Dialog size problem in some Windows which doesn't have Segoe UI font
- Improved: Move cursor position at the end of inserted macro string when inserting a macro by selecting a menu
- Fixed: Date/Time inupt box accelerator key didn't work on Change Attr/Time Dialog.
- Fixed: $(SELECTED) macro didn't include file path for each file.
- Fixed: File date age was incorrect.
- Fixed: Color was not applied to file size unit
- Fixed: showfiletype option in nexusfile.ini didn't work 
- Fixed: Spaces between list fields increased.
- Fixed: Attach File Extension option didn't work
- Fixed: Tab order was not consistent on Options dialog
- Fixed: Scroll bar skin was too dark
- Fixed: Folder Tree Window access violation error
- Fixed: Rename dialog couldn't be translated
- Fixed: Function key bar showed Ctrl/Alt mode buttons even Ctrl/Alt was not pressed
- Improved: Add 'Add to Favorites/Organize Favorites' menu on context menu of address bar
- Improved: Scroll by page option now can be applied to Details list style
- Fixed: Unnecessary horizontal scroll when moving focused item on Folder Tree Window (F10)
- Added: Folder deep level for full scanning on Folder Tree Window(F10) can be set in nexusfile.ini (tfullrefreshlevel)
             If set to 10, full refresh will not scan inside of the folders whose deep level is 10.

NexusFile 5 (ver 5.2.1.4748) - 2010.8.16

- Added: UI for customizing shortcut key (F12)
- Added: Open all selected files function added
- Added: Thumbnail size option (Tools > Options > Thumb Size)
- Added: Details list style is added
- Added: Date and time format can be customized (Tools > Options > Format)
- Added: Size format can be customized (Tools > Options > Format)
- Added: Grid row line option (Tools > Options > Show Grid Row Line)
- Added: Shortcut key for 'Close Tab' added as Ctrl+W
       (If you are using older version, this will not be applied)
- Changed: Shortcut key for 'Go to Documents' has been changed from Ctrl+W to Ctrl+G
       (If you are using older version, this will not be applied)
- Improved: Thumbnails view improved
- Improved: UI default font changed to Segoe UI for better look on Vista/7
- Improved: Scroll Bar design improved. (can be customized by editing skin image)
- Improved: UpdateCheck.exe is removed. Now update check is done internally.
- Improved: Save file/folder list now saves as Unicode
- Fixed: Couldn't access folder/file which has encrypted attribute
- Fixed: Tab history was broken when folder name has [ or =
- Fixed: Backspace shortcut key didn't work in root folder of archive file 
- Fixed: Invalid characters appeared when renaming in FTP mode
- Fixed: FTP encoding problem
- Fixed: macro didn't work in copyhandler setting
- Fixed: focus was not changed when click tabs or addressbar
- Fixed: NexusFile didn't start (hang)
- Fixed: $(SELECTED), $(SELECTED1), $(SELECTED2) macro didn't work
- Fixed: Selected files information wasn't updated when using advanced selection/deselection

NexusFile 5 (ver 5.1.4.3805) - 2010.6.11

- Fixed: FTP file transfer problem
- Fixed: character encoding problem in FTP
- Fixed: WinRAR compress problem
- Fixed: Program start window position problem when using Dual Monitor
- Several bugs are fixed

NexusFile 5 (ver 5.1.4.3766) - 2010.6.9

- Fixed: drag & drop didn't work

NexusFile 5 (ver 5.1.4.3765) - 2010.6.8

- Added: File > Calculate Selected Folder Size
- Added: Tray Icon (Tools > Options : Etc - Hide when minimized)
- Changed: NexusFile icon redesigned
- Fixed: Favorite folder was not added when path name is long
- Fixed: Search was not working in Chinese, Japan or Korean on Folder Tree Window
- Improved: $(PROGRAMDRIVE) macro can be used in copyhandler option in nexusfile.ini
- Improved: following macros can be used in Function Key definition
  Focused Pane: $(PATH), $(DRIVE), $(SELECTED), $(FILENAME), $(NAME), $(EXTENSION)
  Left Pane: $(PATH1), $(DRIVE1), $(SELECTED1), $(FILENAME1), $(NAME1), $(EXTENSION1)
  Right Pane: $(PATH2), $(DRIVE2), $(SELECTED2), $(FILENAME2), $(NAME2), $(EXTENSION2)


NexusFile 5 (ver 5.1.3.3652) - 2009.12.20

- Added: TeraCopy or KillCopy can be used as a copy/move handler in NexusFile
         edit usecopyhandler,copyhandler value in userdata\nexusfile.ini file in order to use TeraCopy or KillCopy as a copy handler
- Fixed: Auto refresh keep refreshing file/folder list even when there is no change in current folder
- Added: Option for not displaying 'Delete' button on Send to RecycleBin dialog
- Fixed: Crashed when open a ZIP file created in MAC OS
- Added: Command line option for specifying initial folder for each panes. 
         ex) nexusfile.exe /dir1:"c:\windows" /dir2:"d:\data"
- Fixed: Font option was not applied in folder list
- Fixed: ESC key function didn't work when folder list is focused
- Added: "Open with new tab" menu added in Folder context menu.
- Improved: Quick Search text is displayed on the top right corner of the window.
- Improved: ftp:// format address in address bar pops up FTP connection dialog.

What's new NexusFile 5 (ver 5.1.2.3550) - 2008.11.30

- Fixed: Error occurred when using keyboard shortcut to exeute functions in some environment.
- Fixed: "Please insert CD" message was showed up when NexusFile starting up.
- Fixed: Hide drive list didn't work
- Fixed: Disk size on Folder/Disk info bar was not updated.
- Fixed: Multi-Volume RAR compressed file couldn't be extracted.
- Fixed: "Allow only one process of NexusFile" option didn't.
- Fixed: Errors on Tabs
- Fixed: When a drive is focused, Properteis(F9) didn't work.
- Improved: Select Same Extension selects folders when a folder is focused.

What's new NexusFile 5 (ver 5.1.1.3345) - 2008.11.24

- Several bugs on version 5.1.0.3345 are fixed 

What's new NexusFile 5 (ver 5.1.0.3345 Test Version) - 2008.11.15

- Changed: Internal structures are changed for future versions
- Added: User can customize toolbar (Customize interface is not supported yet. User should edit toolbar.xml in userdata folder manually)
- Added: FTP CHMOD command (Change Attributes) function
- Improved: FTP engine version upgraded
- Changed: Skin structure is changed and default skins are improved (Skinks for older version cannot be used for new version)
- Changed: When Ctrl+click on an file/folder, focused item is also selected.
- Changed: Name and extension are edited separatly.
- Fixed: Memory leaks on Select Destination dialog.
- Fixed: Copy/Move/Delete/Extract/Add progress dialog was always top of other windows.
- Fixed: There was no error message when copy failed because destination file is being used in another program.
- Fixed: Properties button was not working on Folder Tree Window.
- Improved: User can cancel when Copy/Move/Delete preparing status.
- Improved/Fixed: dealing ZIP archive file improved
- Improved: Date format on New Folder dialog can be changed in Control Panel-Regional and Languages 
- Improved: In advanced rename numbering mode, step can be negative value so user can numbering descent order.
- Improved: File attributes are displayed with drwxrwxrwx format in FTP listing
- Improved: You can search shortcut keys in Help > Shortcut.
- Improved: Address bar display
- Improved: Activate NexusFile window with Win + Q shortcut key
- Changed: all user files are stored in userdata folder
  (If you are using Windows Vista and not with administrator account, all user files are stored in C:\Users\UserName\AppData\Roaming\NexusFile folder)
- Improved: Folders window can be shown in each window when Dual Window mode (Shortcut Key: Alt+F3)
- Added: miListStyleAutoList1, miListStyleAutoList2, miListStyleNameList, miListStyleThumbs are added in shortcut.ini
- Added: User can run custom command in FTP (System > Command Line)
- Improved: NOOP command is sent every 30 seconds for keeping FTP session.
- Changed: language file format is changed to UTF8
- Macro Variables are added for settings (External program, Function Keys command, User Folders location, External Archive folder
  $(PROGRAMDIR): folder where NexusFile is installed
  $(PROGRAMDRIVE): drive where NexusFile is installed

What's new in NexusFile 5 (ver 5.0.2.3206) - 2008.08.29

- Fixed: After once CD/DVD media is inserted and removed, "Insert Disk" message is appeared when NexusFile is launched.
- Fixed: Memory leak when using Thumbnail View

What's new in NexusFile 5 (ver 5.0.2.3196) - 2008.08.09

- Improved: refresh drive list when a media/disk is inserted/removed or a drive is added/removed.
- Fixed/Improved: Shred and Delete didn't work correctly. Now rename and truncate a file before deleting.
- Added: You can use ESC key to go to parent folder. [Tools > Options:Option]
- Fixed: FPT connection was failed when "ftp://" is contained in an address.
- Fxied: error occurred when close a tab when there is one tab left.
- Fixed: carrige return character was attached when copy a filename/path.
- Added: /dir:path parameter can be used when launching a NexusFile. (ex: nexusfile.exe /dir:"c:\Program Files")
- Fixed: a folder is removed from tree even when deleting folder was canceled or not deleted in a folder tree window (F10)

What's new in NexusFile 5 (ver 5.0.1.3135) - 2008.06.09

- Fixed: error occurred when rename a long file name.
- Fixed: show hidden file didn't work when listing FTP files
- Fixed: hidden file name in FTP was not displayed correctly
- Fixed: hidden or cut file icon was not displayed correctly
- Fixed: FTP download/upload progress exceeded 100% after file exists dialog is shown

What's new in NexusFile RC3 (2008.05.24)

- Fixed: critical error that NexusFile didn't free resources it used and cause out of resources.
- Fixed: sometimes Ctrl+V(Paste) didn't work
- Fixed: error occurred when close an Advanced Rename dialog without doing anything.
- Fixed: error occurred when collapsing/expanding folder tree on a folder tree window
- Fixed: somtimes move folder didn't delete a source folder after moving.
- Several small bugs are fixed.

What's new in NexusFile RC2 (2008.05.19)

- Fixed: conflict with X-Neat Windows Manager
- Fixed: Icon overlay is not visible when using Tortoise CVS
- Improved: Language can be changed without restarting a program
- Improved: Skin can be changed without restarting a program
- Fixed: Error on splitting a large file ( > 4GB)
- Improved: Speed up Folder Tree Window loading time and remove delay when expand/collapse a folder
- Fixed: Save Result was always disabled on a folder compare dialog
- Changed: tab shape in a classic skin
- Changed: Default install path is changed from "c:\Program Files\NexusFile" to "c:\NexusFile" (Because of the User Access Control in Windows Vista)
- Fixed: Delete function was disabled on a folder tree dialog
- Fixed: File comment was not updated when renaming a file/folder


What's new in NexusFile RC1 (2008.05.07)

- Users can customize shortcut keys by editing shortcut.ini file (UI for changing shortcut keys will be added on a later release)
- Smart Command Line
  : run programs directly in a command line by typing only the name of an execution file after once you open .exe or .lnk in NexusFile.
  ex)
     1. go to c:\program files\nexusfile folder then open nexusfile.exe
     2. go to anywhere but an above folder. 
     3. run System > Command Line ( Shortcut: / ).
     4. type 'nexusfile' and click 'OK'
        => c:\program files\nexusfile\nexusfile.exe will be executed.

- Fixed: when you close a tab when there is only one tab, error occured.
- Fix default destination path on a Select Destination Dialog for Copy/Move/Extract operation
- Fixed: Thumbnails were not shown when you set list style to Thumbnails and uncheck Show Icon.
- Fixed: there was no check status on Main Menu
- Fixed: some tooltips are shown in Korean even though language setting is not Korean
- more Internal Commands added for Function Keys
